# 5. API Reference | UFMODEventControlTrack

This documentation is preliminary and is subject to change.

This class inherits from UMovieSceneNameableTrack.

Properties:

Private:

- UFMODEventControlTrack::ControlSections

Methods:

Public:

- UFMODEventControlTrack::GetAllControlSections
- UFMODEventControlTrack::RemoveAllAnimationData
- UFMODEventControlTrack::HasSection
- UFMODEventControlTrack::AddSection
- UFMODEventControlTrack::RemoveSection
- UFMODEventControlTrack::IsEmpty
- UFMODEventControlTrack::GetAllSections
- UFMODEventControlTrack::AddNewSection
- UFMODEventControlTrack::CreateNewSection
- UFMODEventControlTrack::GetDefaulDisplayName